
foreman-tasks - Refactor #32412

Use new DSL to define settings

04/24/2021 08:39 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Foreman plugin   

Target version:    

Difficulty: easy Fixed in Releases: foreman-tasks-5.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-t

asks/pull/659

  

Description

Related issues:

Blocked by Foreman - Tracker #29939: Improve setting definition DSL and move ... Closed

Associated revisions

Revision 35f0b190 - 11/24/2021 01:26 PM - Ondřej Ezr

Fixes #32412 - use DSL to define settings

Uses the new DSL to define settings.

History

#1 - 04/24/2021 08:39 PM - Ondřej Ezr

- Blocked by Tracker #29939: Improve setting definition DSL and move setting registry to memory added

#2 - 10/08/2021 03:10 PM - Adam Ruzicka

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 11/23/2021 04:08 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman-tasks/pull/659 added

#4 - 11/24/2021 01:26 PM - The Foreman Bot

- Fixed in Releases foreman-tasks-5.2.0 added

#5 - 11/24/2021 02:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 35f0b19034c3b5865cac2972cd754900169e45ef.

#6 - 12/14/2021 08:19 AM - Adam Ruzicka

- Fixed in Releases foreman-tasks-5.3.0 added

- Fixed in Releases deleted (foreman-tasks-5.2.0)
